# Retrieve token details using the token href link data

Retrieve token details using the token href representing the token.

Endpoint: GET /tokens/{linkData}
Version: 3
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `linkData` (string, required)
    The Access Worldpay encrypted token, returned in `tokenPaymentInstrument.href`, as well as the `tokens:token` request link.

## Response 200:

  - `200` (unknown)
    The detail for this token.

## Response 200 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `tokenPaymentInstrument` (object)

  - `tokenPaymentInstrument.type` (string)
    Indicating the type of this token.

  - `tokenPaymentInstrument.href` (string)
    Link to the corresponding token.

  - `tokenId` (string)
    Worldpay's internal identifier for a token.

  - `description` (string)
    A description of your token. If not supplied, a default description is created for you.

  - `tokenExpiryDateTime` (string)
    The date/time after which the token is unavailable, expressed in ISO 8601 format. If not supplied, the default expiry date/time is 90 days in Try and 4 years in the Live environment.In Live, if the token is used in the second half of its life, the token expiry becomes 4 years from that point, with no limit to the number of extensions. In Try, expiry date extensions are not applicable. After the expiry passes, the token is deleted.

  - `namespace` (string)
    A reference to group up to 16 cards, e.g. for one customer. A card can exist in more than one namespace. If supplied, must not start with an underscore, must not contain spaces, '&' or '<'.

  - `paymentInstrument` (object)
    An object that contains the instrument that you are tokenizing, and its details.

  - `paymentInstrument.type` (string, required)
    Enum: "card/front", "card/masked", "card/network", "card/network+masked"

  - `paymentInstrument.cardHolderName` (string, required)
    The name on your customer's card.

  - `paymentInstrument.cardExpiryDate` (object, required)
    Contains your customer's card expiry date.

  - `paymentInstrument.cardExpiryDate.month` (integer, required)

  - `paymentInstrument.cardExpiryDate.year` (integer, required)

  - `paymentInstrument.cardNumber` (string, required)
    Contains your customer's card number.

  - `paymentInstrument.billingAddress` (object)
    An object containing the billingAddress information, used during payment processing. If the address supplied does not match the address registered with the issuing bank, the payment carries additional risk. If using the token in card payouts in the US, the state field is mandatory.

  - `paymentInstrument.billingAddress.address1` (string, required)

  - `paymentInstrument.billingAddress.postalCode` (string, required)

  - `paymentInstrument.billingAddress.city` (string, required)

  - `paymentInstrument.billingAddress.countryCode` (string, required)

  - `paymentInstrument.billingAddress.address2` (string)

  - `paymentInstrument.billingAddress.address3` (string)

  - `paymentInstrument.billingAddress.state` (string)
    Mandatory if using the token in card payouts in the US, otherwise optional.

  - `paymentInstrument.bin` (string)

  - `paymentInstrument.brand` (string)

  - `paymentInstrument.fundingType` (string)

  - `paymentInstrument.cardNumber` (string, required)

  - `paymentInstrument.cardExpiryDate` (object, required)

  - `paymentInstrument.networkType` (string)

  - `paymentInstrument.last4Digits` (string)

  - `paymentInstrument.cardNumber` (string, required)
    This is the token number provided in the tokenNumber field in the request. This response field will be renamed in future versions.

  - `paymentInstrument.cardExpiryDate` (object, required)
    This is the token expiry date provided in the expiryDate field in the request. This response field will be renamed in future versions.

  - `paymentInstrument.networkType` (string, required)
    The network behind the token, such as `GOOGLEPAY` or `APPLEPAY`.

  - `paymentInstrument.last4Digits` (string, required)
    Last 4 digits of the tokenNumber.

  - `schemeTransactionReference` (string)
    A value provided by Visa or Mastercard which tracks recurring transactions.Note: You are not normally expected to provide a value for schemeTransactionReference. If you are using the [Verified Tokens API](/products/verified-tokens) to create tokens, it is automatically included where applicable.

  - `_links` (object, required)

## Response 404:

  - `404` (unknown)
    We could not find the requested resource. This may be returned if the token resource has been deleted.

## Response 404 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `errorName` (string)
    Example: resourceNotFound

  - `message` (string)
    Example: Requested resource was not found

## Response 404 headers (application/vnd.worldpay.tokens-v3.hal+json):

  - `Accept` (string)
    application/vnd.worldpay.tokens-v3.hal+json

  - `Content-Type` (string)
    application/vnd.worldpay.tokens-v3.hal+json

## Response 405:

  - `405` (unknown)
    Requested method is not allowed.

## Response 405 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `errorName` (string)
    Example: methodNotAllowed

  - `message` (string)
    Example: Requested method is not allowed

## Response 405 headers (application/vnd.worldpay.tokens-v3.hal+json):

  - `Accept` (string)
    application/vnd.worldpay.tokens-v3.hal+json

  - `Content-Type` (string)
    application/vnd.worldpay.tokens-v3.hal+json

## Response 500:

  - `500` (unknown)
    An internal server error.

## Response 500 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `errorName` (string)
    Example: tokenizationNotEnabled

  - `message` (string)
    Example: Tokenization not enabled

## Response 500 headers (application/vnd.worldpay.tokens-v3.hal+json):

  - `Accept` (string)
    application/vnd.worldpay.tokens-v3.hal+json

  - `Content-Type` (string)
    application/vnd.worldpay.tokens-v3.hal+json

## Response 200 examples:

  - `Retrieve details about a token` (unknown)

  - `Retrieve details about a network card token` (unknown)

  - `Retrieve details about a token with a namespace` (unknown)

  - `Retrieve detokenized card details` (unknown)

  - `Retrieve detokenized wallet token details` (unknown)

## Response 404 examples:

  - `Tokenization not enabled` (unknown)

## Response 405 examples:

  - `Method not allowed` (unknown)

## Response 500 examples:

  - `Tokenization not enabled` (unknown)

